diff -r -u asterisk-1.2.9.1-clean/apps/app_meetme.c asterisk-1.2.9.1-meetme/apps/app_meetme.c
--- asterisk-1.2.9.1-clean/apps/app_meetme.c	2006-05-25 16:03:12.000000000 -0400
+++ asterisk-1.2.9.1-meetme/apps/app_meetme.c	2006-07-05 08:59:07.000000000 -0400
@@ -922,6 +922,7 @@
 		if (conf->users == 2) { 
 			if (!ast_streamfile(chan,"conf-onlyone",chan->language)) {
 				res = ast_waitstream(chan, AST_DIGIT_ANY);
+				ast_stopstream(chan);
 				if (res > 0)
 					keepplaying=0;
 				else if (res == -1)
@@ -930,6 +931,7 @@
 		} else { 
 			if (!ast_streamfile(chan, "conf-thereare", chan->language)) {
 				res = ast_waitstream(chan, AST_DIGIT_ANY);
+				ast_stopstream(chan);
 				if (res > 0)
 					keepplaying=0;
 				else if (res == -1)
@@ -944,6 +946,7 @@
 			}
 			if (keepplaying && !ast_streamfile(chan, "conf-otherinparty", chan->language)) {
 				res = ast_waitstream(chan, AST_DIGIT_ANY);
+				ast_stopstream(chan);
 				if (res > 0)
 					keepplaying=0;
 				else if (res == -1) 
@@ -1963,8 +1966,10 @@
 								break;
 							} else {
 								/* Pin invalid */
-								if (!ast_streamfile(chan, "conf-invalidpin", chan->language))
+								if (!ast_streamfile(chan, "conf-invalidpin", chan->language)) {
 									res = ast_waitstream(chan, AST_DIGIT_ANY);
+									ast_stopstream(chan);
+								}
 								else {
 									ast_log(LOG_WARNING, "Couldn't play invalid pin msg!\n");
 									break;
Only in asterisk-1.2.9.1-meetme/apps: app_meetme.c.bak
